Page MenuHomePhabricator

Better backup coverage for X1 database cluster
Closed, ResolvedPublic

Description

We need better backup coverage for the X1 database cluster (which is used for extensions such as Flow) going forward. Sean Pringle suggested some improvements on the Ops list (April 10, Subject: "Data recovery for flowdb on x1 cluster"):

"We have 30 days of binlogs and the last two 8 hourly lvm snapshots
for X1. This does need to be extended to weekly and monthly dumps as
we do with S[1-7] on dbstore."

See T95580: Flow data missing on Wikimedia production wikis

Event Timeline

Mattflaschen-WMF raised the priority of this task from to Needs Triage.
Mattflaschen-WMF updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 12 2015, 4:47 AM
Mattflaschen-WMF set Security to None.
Gage triaged this task as High priority.Apr 17 2015, 8:43 PM
Gage updated the task description. (Show Details)

Change 207680 had a related patch set uploaded (by Springle):
script used for non-replicated dbstore backups

https://gerrit.wikimedia.org/r/207680

Change 207680 merged by Springle:
script used for non-replicated dbstore backups

https://gerrit.wikimedia.org/r/207680

Springle closed this task as Resolved.May 2 2015, 7:17 PM
Springle claimed this task.

Thanks, we appreciate this.